import { ClientEndpointsApi, RecoveryEndpointsApi, DeveloperEndpointsApi, DeviceInfoEndpointsApi, KeepKeySignTxEndpointsApi, KeepKeyWalletEndpointsApi, RawKeepKeyDeviceI0EndpointsApi } from './generated';
import { KeepKeySDKConfig } from './types';
export declare const getKeepKeySDK: (config: KeepKeySDKConfig) => Promise<{
    config: KeepKeySDKConfig;
    client: ClientEndpointsApi;
    recovery: RecoveryEndpointsApi;
    developer: DeveloperEndpointsApi;
    deviceInfo: DeviceInfoEndpointsApi;
    sign: KeepKeySignTxEndpointsApi;
    wallet: KeepKeyWalletEndpointsApi;
    rawDevice: RawKeepKeyDeviceI0EndpointsApi;
}>;
